## org.apache.bcel.verifier.exc
Class VerificationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
                              |
                              +--org.apache.bcel.verifier.exc.VerificationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ClassConstraintException, CodeConstraintException

public abstract class VerificationException
extends VerifierConstraintViolatedException

Instances of this class are thrown by BCEL's class file verifier "JustIce" when a class file to verify does not pass one of the verification passes 2 or 3. Note that the pass 3 used by "JustIce" involves verification that is usually delayed to pass 4. The name of this class is justified by the Java Virtual Machine Specification, 2nd edition, page 164, 5.4.1 where verification as a part of the linking process is defined to be the verification happening in passes 2 and 3.

Version:
  $Id: VerificationException.java,v 1.1.1.1 2001/10/29 20:00:34 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  Serialized Form

Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
`extendMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.